From 0e34ad6f00ea8604d7a584185677a13a7186af05 Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Feb 05 2018 14:33:19 +0000
Subject: [PATCH 5/32] Issues: Change parameter type to string


---

diff --git a/hubs/static/client/app/widgets/issues/Config.js b/hubs/static/client/app/widgets/issues/Config.js
index 5c5e4fc..dc61da2 100644
--- a/hubs/static/client/app/widgets/issues/Config.js
+++ b/hubs/static/client/app/widgets/issues/Config.js
@@ -36,10 +36,10 @@ class Config extends React.Component {
                 <select className="form-control"
                         value={this.props.values.mode}
                         onChange={this.handleModeChanged}>
-                    <option value={1}>
+                    <option value="1">
                         <FormattedMessage {...messages.select_author} />
                     </option>
-                    <option value={2}>
+                    <option value="2">
                         <FormattedMessage {...messages.select_assignee} />
                     </option>
                 </select>
diff --git a/hubs/widgets/issues/__init__.py b/hubs/widgets/issues/__init__.py
index 343cef7..986f7d7 100644
--- a/hubs/widgets/issues/__init__.py
+++ b/hubs/widgets/issues/__init__.py
@@ -16,7 +16,7 @@ class Issues(Widget):
     parameters = [
         dict(
             name="mode",
-            default=1,
+            default="1",
         )
     ]
     is_react = True
diff --git a/hubs/widgets/issues/functions.py b/hubs/widgets/issues/functions.py
index 68b177d..4be18f4 100644
--- a/hubs/widgets/issues/functions.py
+++ b/hubs/widgets/issues/functions.py
@@ -8,7 +8,7 @@ class GetBugzillaBugs(CachedFunction):
     def execute(self):
         email = self.instance.hub.config["bugzilla_email"]
         endpoint = "https://bugzilla.redhat.com/jsonrpc.cgi?method=Bug.search&params=[{{\"{}\":\"{}\"}}]"
-        mode = "creator" if int(self.instance.config["mode"]) == 1 else "assigned_to"
+        mode = "creator" if self.instance.config["mode"] == "1" else "assigned_to"
         response = requests.get(endpoint.format(mode, email)).json()
         issues = response['result']['bugs']
         issues = issues[:min(5, len(issues))]
@@ -39,7 +39,7 @@ class GetPagureIssues(CachedFunction):
     def execute(self):
         username = self.instance.hub.config["pagure_username"]
         endpoint = "https://pagure.io/api/0/user/{}/issues?author={}"
-        author = "true" if int(self.instance.config["mode"]) == 1 else "false"
+        author = "true" if self.instance.config["mode"] == "1" else "false"
         response = requests.get(endpoint.format(username, author)).json()
         issues = response['issues_created'] if author == "true" else response['issues_assigned']
         issues = issues[:min(5, len(issues))]
@@ -70,7 +70,7 @@ class GetGithubIssues(CachedFunction):
     def execute(self):
         username = self.instance.hub.config["github_username"]
         endpoint = "https://api.github.com/search/issues?q=type:issue+{}:{}+state:open&sort:updated"
-        mode = "author" if int(self.instance.config["mode"]) == 1 else "assignee"
+        mode = "author" if self.instance.config["mode"] == "1" else "assignee"
         response = requests.get(endpoint.format(mode, username)).json()
         issues = response['items']
         issues = issues[:min(5, len(issues))]

